package domain


type AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse struct {
    /*
        交易子单号     */
    BizSubOrderId  *int64 `json:"biz_sub_order_id,omitempty" `

    /*
        渠道子单号     */
    OutSubOrderId  *string `json:"out_sub_order_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品名称     */
    SkuName  *string `json:"sku_name,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        库存单位购买数量(应拣数量)     */
    BuyStockQuantity  *string `json:"buy_stock_quantity,omitempty" `

    /*
        库存单位拣货数量     */
    PickStockQuantity  *string `json:"pick_stock_quantity,omitempty" `

}

func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetBizSubOrderId(v int64) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetOutSubOrderId(v string) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.OutSubOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetSkuCode(v string) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.SkuCode = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetSkuName(v string) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.SkuName = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetStockUnit(v string) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.StockUnit = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetBuyStockQuantity(v string) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.BuyStockQuantity = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse) SetPickStockQuantity(v string) *AlibabaTclsAelophyWarehouseOrderGetWarehouseSubOrderResponse {
    s.PickStockQuantity = &v
    return s
}
